">

- NAME
- SYNOPSIS
- DESCRIPTION
- INSTANCE METHODS
- AUTHOR
- SEE ALSO

# NAME

Lintian::Processable::Fields::Files - Lintian interface to .buildinfo or changes file data collection

# SYNOPSIS

       use Moo;

       with 'Lintian::Processable::Fields::Files';

# DESCRIPTION

Lintian::Processable::Fields::Files provides an interface to data for .buildinfo and changes files. It implements data collection methods specific to .buildinfo and changes files.

# INSTANCE METHODS

files

  Returns a reference to a hash containing information about files listed in the .buildinfo file. Each hash may have the following keys:

  name

    Name of the file.

  size

    The size of the file in bytes.

  section

    The archive section to which the file belongs.

  priority

    The priority of the file.

  checksums

    A hash with the keys being checksum algorithms and the values themselves being hashes containing

    sum

      The result of applying the given algorithm to the file.

    filesize

      The size of the file as given in the .buildinfo section relating to the given checksum.

# AUTHOR

Originally written by Adam D. Barratt <adsb@debian.org> for Lintian.

# SEE ALSO

lintian(1), Lintian::Processable

<<